<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: LiveInfo2VICOType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00046.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">LiveInfo2VICOType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>VICO liveInfo2 structure used in <a class="el" href="a00002.html#a26ba5d7e4e9b541f7154b802549ff17b" title="Returns extended live system status information from VICO.">liveInfo2VICO()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acb80421955b2dfdd6012c7dad6dfbe24" id="r_acb80421955b2dfdd6012c7dad6dfbe24"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#ab021cb6462a87152ac9ab7aa8be31e11">LiveInfoVICOStateType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acb80421955b2dfdd6012c7dad6dfbe24">st</a></td></tr>
<tr class="memdesc:acb80421955b2dfdd6012c7dad6dfbe24"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current system status of the VICO.  <br /></td></tr>
<tr class="separator:acb80421955b2dfdd6012c7dad6dfbe24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb52d1dfd497466de60afe70cf50da2d" id="r_aeb52d1dfd497466de60afe70cf50da2d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a54d168a379505a24ddf538b966b0fff0">LiveInfoVICOErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aeb52d1dfd497466de60afe70cf50da2d">er</a></td></tr>
<tr class="memdesc:aeb52d1dfd497466de60afe70cf50da2d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current error code of the VICO.  <br /></td></tr>
<tr class="separator:aeb52d1dfd497466de60afe70cf50da2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0665f1b600ee046629b2d3a0deb195ec" id="r_a0665f1b600ee046629b2d3a0deb195ec"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0665f1b600ee046629b2d3a0deb195ec">vIn</a></td></tr>
<tr class="memdesc:a0665f1b600ee046629b2d3a0deb195ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">The input voltage in V as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a0665f1b600ee046629b2d3a0deb195ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaadfde1037868afe036988c0323407a" id="r_abaadfde1037868afe036988c0323407a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abaadfde1037868afe036988c0323407a">p5v</a></td></tr>
<tr class="memdesc:abaadfde1037868afe036988c0323407a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The +5V in V as 32 bit float.  <br /></td></tr>
<tr class="separator:abaadfde1037868afe036988c0323407a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a6b377c14a4527b4b059a44f9bd484d" id="r_a1a6b377c14a4527b4b059a44f9bd484d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1a6b377c14a4527b4b059a44f9bd484d">n5vActive</a></td></tr>
<tr class="memdesc:a1a6b377c14a4527b4b059a44f9bd484d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The status of the -5V as boolean.  <br /></td></tr>
<tr class="separator:a1a6b377c14a4527b4b059a44f9bd484d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1277ff5a7a1ee12083596d54529b6be" id="r_ac1277ff5a7a1ee12083596d54529b6be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac1277ff5a7a1ee12083596d54529b6be">mcu3v3</a></td></tr>
<tr class="memdesc:ac1277ff5a7a1ee12083596d54529b6be"><td class="mdescLeft">&#160;</td><td class="mdescRight">The +3V3 power supply of the MCU in V as 32 bit float.  <br /></td></tr>
<tr class="separator:ac1277ff5a7a1ee12083596d54529b6be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0cef9672143fbbbd5d9a666036392bd" id="r_af0cef9672143fbbbd5d9a666036392bd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af0cef9672143fbbbd5d9a666036392bd">ref2v5</a></td></tr>
<tr class="memdesc:af0cef9672143fbbbd5d9a666036392bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The +2V5 reference voltage in V as 32 bit float.  <br /></td></tr>
<tr class="separator:af0cef9672143fbbbd5d9a666036392bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cf12ddc04d5564691262540b3cfdee6" id="r_a4cf12ddc04d5564691262540b3cfdee6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4cf12ddc04d5564691262540b3cfdee6">hvActive</a></td></tr>
<tr class="memdesc:a4cf12ddc04d5564691262540b3cfdee6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The status of the negative high voltage as boolean.  <br /></td></tr>
<tr class="separator:a4cf12ddc04d5564691262540b3cfdee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a5799b059992b0e624b65e9d7befac5" id="r_a5a5799b059992b0e624b65e9d7befac5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5a5799b059992b0e624b65e9d7befac5">hvDac</a></td></tr>
<tr class="memdesc:a5a5799b059992b0e624b65e9d7befac5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DAC set value in mV as 16 bit unsigned short (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a5a5799b059992b0e624b65e9d7befac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61c50e8d1dba4ba612e2fdb855097d19" id="r_a61c50e8d1dba4ba612e2fdb855097d19"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a61c50e8d1dba4ba612e2fdb855097d19">hv</a></td></tr>
<tr class="memdesc:a61c50e8d1dba4ba612e2fdb855097d19"><td class="mdescLeft">&#160;</td><td class="mdescRight">The negative high voltage in V as 32 bit float.  <br /></td></tr>
<tr class="separator:a61c50e8d1dba4ba612e2fdb855097d19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a218340f43cdaa1e53902c314d901ffc5" id="r_a218340f43cdaa1e53902c314d901ffc5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a218340f43cdaa1e53902c314d901ffc5">pwr</a></td></tr>
<tr class="memdesc:a218340f43cdaa1e53902c314d901ffc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Power" output state as boolean.  <br /></td></tr>
<tr class="separator:a218340f43cdaa1e53902c314d901ffc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10fff66b1a3003baf9841eb09ec33cbc" id="r_a10fff66b1a3003baf9841eb09ec33cbc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a10fff66b1a3003baf9841eb09ec33cbc">usb</a></td></tr>
<tr class="memdesc:a10fff66b1a3003baf9841eb09ec33cbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">The information, if a USB cable is connected as boolean.  <br /></td></tr>
<tr class="separator:a10fff66b1a3003baf9841eb09ec33cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ddbb9541dcf1892c8aa3fe157911d23" id="r_a1ddbb9541dcf1892c8aa3fe157911d23"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1ddbb9541dcf1892c8aa3fe157911d23">gpio</a></td></tr>
<tr class="memdesc:a1ddbb9541dcf1892c8aa3fe157911d23"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "MCU general purpose I/O" output state as boolean.  <br /></td></tr>
<tr class="separator:a1ddbb9541dcf1892c8aa3fe157911d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae17672475bb2019376bca793547bc8a4" id="r_ae17672475bb2019376bca793547bc8a4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae17672475bb2019376bca793547bc8a4">reqfbl</a></td></tr>
<tr class="memdesc:ae17672475bb2019376bca793547bc8a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The "request flash bootloader" input state as boolean.  <br /></td></tr>
<tr class="separator:ae17672475bb2019376bca793547bc8a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace822c23d54a9557da70733a4d752885" id="r_ace822c23d54a9557da70733a4d752885"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ace822c23d54a9557da70733a4d752885">fpga3v3</a></td></tr>
<tr class="memdesc:ace822c23d54a9557da70733a4d752885"><td class="mdescLeft">&#160;</td><td class="mdescRight">The +3V3 power supply of the FPGA in V as 32 bit float.  <br /></td></tr>
<tr class="separator:ace822c23d54a9557da70733a4d752885"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b3b0927051786f01bf02c7787de6fda" id="r_a8b3b0927051786f01bf02c7787de6fda"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8b3b0927051786f01bf02c7787de6fda">therm1</a></td></tr>
<tr class="memdesc:a8b3b0927051786f01bf02c7787de6fda"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current temperature at thermistor 1 in degrees Celsius as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a8b3b0927051786f01bf02c7787de6fda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5089ea5055193aeba694c49112ce6006" id="r_a5089ea5055193aeba694c49112ce6006"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5089ea5055193aeba694c49112ce6006">therm2</a></td></tr>
<tr class="memdesc:a5089ea5055193aeba694c49112ce6006"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current temperature at thermistor 2 in degrees Celsius as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a5089ea5055193aeba694c49112ce6006"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>VICO liveInfo2 structure used in <a class="el" href="a00002.html#a26ba5d7e4e9b541f7154b802549ff17b" title="Returns extended live system status information from VICO.">liveInfo2VICO()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="aeb52d1dfd497466de60afe70cf50da2d" name="aeb52d1dfd497466de60afe70cf50da2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb52d1dfd497466de60afe70cf50da2d">&#9670;&#160;</a></span>er</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a54d168a379505a24ddf538b966b0fff0">LiveInfoVICOErrorType</a> er</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current error code of the VICO. </p>

</div>
</div>
<a id="ace822c23d54a9557da70733a4d752885" name="ace822c23d54a9557da70733a4d752885"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace822c23d54a9557da70733a4d752885">&#9670;&#160;</a></span>fpga3v3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> fpga3v3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The +3V3 power supply of the FPGA in V as 32 bit float. </p>

</div>
</div>
<a id="a1ddbb9541dcf1892c8aa3fe157911d23" name="a1ddbb9541dcf1892c8aa3fe157911d23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ddbb9541dcf1892c8aa3fe157911d23">&#9670;&#160;</a></span>gpio</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> gpio</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "MCU general purpose I/O" output state as boolean. </p>

</div>
</div>
<a id="a61c50e8d1dba4ba612e2fdb855097d19" name="a61c50e8d1dba4ba612e2fdb855097d19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61c50e8d1dba4ba612e2fdb855097d19">&#9670;&#160;</a></span>hv</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> hv</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The negative high voltage in V as 32 bit float. </p>

</div>
</div>
<a id="a4cf12ddc04d5564691262540b3cfdee6" name="a4cf12ddc04d5564691262540b3cfdee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4cf12ddc04d5564691262540b3cfdee6">&#9670;&#160;</a></span>hvActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> hvActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The status of the negative high voltage as boolean. </p>

</div>
</div>
<a id="a5a5799b059992b0e624b65e9d7befac5" name="a5a5799b059992b0e624b65e9d7befac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a5799b059992b0e624b65e9d7befac5">&#9670;&#160;</a></span>hvDac</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> hvDac</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The DAC set value in mV as 16 bit unsigned short (Little-endian = low byte first). </p>

</div>
</div>
<a id="ac1277ff5a7a1ee12083596d54529b6be" name="ac1277ff5a7a1ee12083596d54529b6be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1277ff5a7a1ee12083596d54529b6be">&#9670;&#160;</a></span>mcu3v3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> mcu3v3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The +3V3 power supply of the MCU in V as 32 bit float. </p>

</div>
</div>
<a id="a1a6b377c14a4527b4b059a44f9bd484d" name="a1a6b377c14a4527b4b059a44f9bd484d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a6b377c14a4527b4b059a44f9bd484d">&#9670;&#160;</a></span>n5vActive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> n5vActive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The status of the -5V as boolean. </p>

</div>
</div>
<a id="abaadfde1037868afe036988c0323407a" name="abaadfde1037868afe036988c0323407a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaadfde1037868afe036988c0323407a">&#9670;&#160;</a></span>p5v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> p5v</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The +5V in V as 32 bit float. </p>

</div>
</div>
<a id="a218340f43cdaa1e53902c314d901ffc5" name="a218340f43cdaa1e53902c314d901ffc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a218340f43cdaa1e53902c314d901ffc5">&#9670;&#160;</a></span>pwr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> pwr</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Power" output state as boolean. </p>

</div>
</div>
<a id="af0cef9672143fbbbd5d9a666036392bd" name="af0cef9672143fbbbd5d9a666036392bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0cef9672143fbbbd5d9a666036392bd">&#9670;&#160;</a></span>ref2v5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> ref2v5</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The +2V5 reference voltage in V as 32 bit float. </p>

</div>
</div>
<a id="ae17672475bb2019376bca793547bc8a4" name="ae17672475bb2019376bca793547bc8a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae17672475bb2019376bca793547bc8a4">&#9670;&#160;</a></span>reqfbl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> reqfbl</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The "request flash bootloader" input state as boolean. </p>

</div>
</div>
<a id="acb80421955b2dfdd6012c7dad6dfbe24" name="acb80421955b2dfdd6012c7dad6dfbe24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb80421955b2dfdd6012c7dad6dfbe24">&#9670;&#160;</a></span>st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#ab021cb6462a87152ac9ab7aa8be31e11">LiveInfoVICOStateType</a> st</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current system status of the VICO. </p>

</div>
</div>
<a id="a8b3b0927051786f01bf02c7787de6fda" name="a8b3b0927051786f01bf02c7787de6fda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b3b0927051786f01bf02c7787de6fda">&#9670;&#160;</a></span>therm1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> therm1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current temperature at thermistor 1 in degrees Celsius as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
<a id="a5089ea5055193aeba694c49112ce6006" name="a5089ea5055193aeba694c49112ce6006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5089ea5055193aeba694c49112ce6006">&#9670;&#160;</a></span>therm2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> therm2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current temperature at thermistor 2 in degrees Celsius as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
<a id="a10fff66b1a3003baf9841eb09ec33cbc" name="a10fff66b1a3003baf9841eb09ec33cbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10fff66b1a3003baf9841eb09ec33cbc">&#9670;&#160;</a></span>usb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> usb</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The information, if a USB cable is connected as boolean. </p>

</div>
</div>
<a id="a0665f1b600ee046629b2d3a0deb195ec" name="a0665f1b600ee046629b2d3a0deb195ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0665f1b600ee046629b2d3a0deb195ec">&#9670;&#160;</a></span>vIn</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> vIn</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The input voltage in V as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00046.html">LiveInfo2VICOType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
